# coding: utf-8
from __future__ import unicode_literals

from openpyxl.utils import get_column_letter


try:
    from typing import TYPE_CHECKING
except ImportError:
    TYPE_CHECKING = False

if TYPE_CHECKING:
    pass


def get_coordinates(row,  # type: int
                    col  # type: int
                    ):  # type: (...) -> str
    """
    Получение координат в excel формате по индексу строки и колонки.

    :param row: Индекс строки
    :param col: Индекс колонки
    :return: Координаты в excel формате ((0, 0) -> 'A1')
    """
    row += 1
    col += 1
    return ''.join((get_column_letter(col), str(row)))


def get_cells_range(from_cell,  # type: str
                    to_cell  # type: str
                    ):  # type: (...) -> str
    """
    Получение области клеток по координатам.

    :param from_cell: Координаты начальной клетки
    :param to_cell: Координаты конечной клетки
    :return: Область клеток в excel формате. (('A1', 'B2') -> 'A1:B2')
    """
    return ':'.join((from_cell, to_cell))
