# coding: utf-8
from __future__ import unicode_literals


try:
    from typing import TYPE_CHECKING
except ImportError:
    TYPE_CHECKING = False

if TYPE_CHECKING:
    from typing import Any
    from typing import Iterator
    from typing import List

    from openpyxl import Workbook


def read_xlsx(wb,  # type: Workbook
              cell_attr='value'  # type: str
              ):  # type: (...) -> Iterator[List[List[Any]]]
    """
    Чтение xlsx в двумерный массив.

    :param wb: Объект Workbook
    :param cell_attr: Используемый атрибут клетки
    :return: Таблица в виде матрицы
    """
    for ws in wb:
        yield [
            [getattr(cell, cell_attr) for cell in row]
            for row in ws.__iter__()
        ]
